import { INodeComprobante, INodeConcepto, INodeEmisor, INodeInformacionGlobal, INodeReceptor, INodeRelacionados } from "../interfaces/IFacturaCfdi";
import ConfigCfdi from "./ConfigCfdi";
declare class FacturaCfdi {
    private readonly config_cfdi;
    private node_comprobante;
    private node_informacion_global;
    private readonly node_relacionados;
    private node_emisor;
    private node_receptor;
    private readonly node_conceptos;
    constructor(config_cfdi: ConfigCfdi);
    createNodeComprobante(options: INodeComprobante): void;
    createNodeInformacionGlobal(options: INodeInformacionGlobal): void;
    createNodeRelacionados(options: INodeRelacionados): void;
    createNodeEmisor(options: INodeEmisor): void;
    createNodeReceptor(options: INodeReceptor): void;
    createNodeConcepto(options: INodeConcepto): void;
    createXml(): string;
    createXmlSellado(): Promise<string>;
    private generateXml;
    private generateNodeComprobante;
    private generateNodeEmisor;
    private generateNodeReceptor;
    private generateNodeConcepto;
    private generateNodeTraslado;
    private generateNodeRetencion;
    private generateNodeACuentaTerceros;
    private generateNodeParte;
    private createNodeImpuestos;
    private generateCadenaOriginal;
}
export default FacturaCfdi;
